dotfiles.git

commit 9833bc361e60db39afe57277922ce8eca5ce6751

Author: Adam <git@apiote.xyz>

add identitiesOnly to apiote by ssh

 .local/bin/pass | 10 +++++++---
 .ssh/config | 1 +


diff --git a/.local/bin/pass b/.local/bin/pass
index 67f3c360eb102dc4a0dcbe4c057496a2da96714a..6dbbae035dd088bebb6066d4671536f6753b792a 100644
--- a/.local/bin/pass
+++ b/.local/bin/pass
@@ -32,12 +32,16 @@
 		cd ~/.local/share/eeze/ || (echo 'no eeze data dir'; exit 1)
 		echo 'pulling changes'
 		git pull
-		echo 'pushing changes'
-		git push
 		if [ -n "$force" ]
 		then
+			echo 'reindexing'
 			eeze -Ir
 		fi
+		echo 'pushing changes'
+		git push
+		cd ~/Code/current/joeblack || exit 0
+		echo '# syncing Joe Black'
+		./encode
 		;;
 	'new')
 		shift
@@ -71,8 +75,8 @@
 		echo '# adding to store'
 		pwgen $opts "$num" 1 | eeze-add
 
+		cd ~/Code/current/joeblack || exit 0
 		echo '# syncing Joe Black'
-		cd ~/Code/current/joeblack || exit 1
 		./encode
 		;;
 	*)




diff --git a/.ssh/config b/.ssh/config
index 21fccad466664f345c66fb94d2e5fa8e5ed497de..83ce3b1237572e71e32602f18b8ee08735ba783c 100644
--- a/.ssh/config
+++ b/.ssh/config
@@ -14,3 +14,4 @@ Host apiote.xyz
 	User adam
 	IdentityFile ~/.ssh/deepthought
 	ProxyCommand /usr/bin/nc -x 127.0.0.1:10080 localhost 22
+	IdentitiesOnly yes